{ config, pkgs, ... }:
{

  services.gitea = {
    enable = true;
    appName = "My awesome Gitea server"; # Give the site a name
    database = {
      type = "sqlite3";
    };
    settings.server = {
      DOMAIN = "localhost";
      ROOT_URL = "http://localhost/";
      HTTP_PORT = 3001;
    };
  };

  # [CONTAINER]
  boot.isContainer = true;
  
  # [NETWORK]
  networking.hostName = "gitea";
  networking.useDHCP = false;
  networking.firewall.enable = true;
  networking.firewall.allowedTCPPorts = [ 3001 ];
  networking.firewall.allowedUDPPorts = [ ];

  system.stateVersion = "23.11";
}
